import { XrefOptions, TransitionOptions, TransitionState, PartialTransition } from "./xref";
/**
 *
 * @description Handle partial transitions for a given element
 */
export declare function handlePartials(partials: PartialTransition[], oldElement: HTMLElement, newElement: HTMLElement, options: XrefOptions, direction: "in" | "out"): Promise<void>;
/**
 *
 * @description Merge partial transition options with global transition options
 */
export declare function mergeOptions(partial: PartialTransition, globalTransition: TransitionOptions | undefined, index: number): TransitionOptions;
/**
 *
 * @description Reverse the transition state
 */
export declare function reverseTransition(transition: TransitionState): TransitionState;
/**
 *
 * @description Hide partial elements
 */
export declare function hidePartials(partials: PartialTransition[], element: HTMLElement): void;
/**
 *
 * @description Show partial elements
 */
export declare function showPartials(partials: PartialTransition[], element: HTMLElement): void;
